#pragma once

extern  const COLORREF CLR_BTN_WHITE, CLR_BTN_BLACK, CLR_BTN_DGREY, CLR_BTN_GREY, CLR_BTN_LLGREY;
extern COLORREF text_colour, background_colour;

void bDrawCircle(HDC* dc, RECT r, COLORREF colour);
void bDrawLine(HDC* dc, long sx, long sy, long ex, long ey, COLORREF colour);
void bDrawFilledRect(HDC* dc, RECT r, COLORREF colour);
void bDrawCircle(HDC* dc, RECT r, COLORREF colour);
void bDrawLine(HDC* dc, long sx, long sy, long ex, long ey, COLORREF colour);
void bDrawFrame(HDC* dc, RECT r, myInt state);
void CClrButton();
void bDrawButtonRGB(SOBDATA* sData,  LPDRAWITEMSTRUCT lpDrawItemStruct);
void bDrawButtonText(HDC* dc, RECT r, const TCHAR* Buf, COLORREF text_colour, DWORD Tstyles);